var BR = require('briskly-router');
var request = require('request');

console.log('Version: ', BR.version);

var users = [
    { id: 1, name: 'seikho' },
    { id: 2, name: 'lorezzed' },
    { id: 3, name: 'dayson' }
];

var getId = id => users.filter(u => u.id === id)[0];
var getName = name => users.filter(u => u.name === name)[0];

var router = new BR.Router({ port: 80 });

router.route({
    method: 'GET',
    path: '/',
    handler: (req, reply) => reply('home')
});

router.route({
    method: 'GET',
    path: '/users',
    handler: (req, reply) => reply(users)
});

router.route({
    method: 'GET',
    path: '/users/{id: number}',
    handler: (req, reply) => reply(getId(req.params.id))
});

router.route({
    method: 'GET',
    path: '/users/{name: string}',
    handler: (req, reply) => reply(getName(req.params.name))
});

router.start().then(requests);


function requests() {
    request.get('http://localhost/', (err, res, body) => console.log(body));
    request.get('http://localhost/users', (err, res, body) => console.log(body));
    request.get('http://localhost/users/1', (err, res, body) => console.log(body));
    request.get('http://localhost/users/dayson', (err, res, body) => console.log(body)); 
}
;
